package com.ynet.life.sujrb.util;

import java.util.regex.Pattern;

/* loaded from: com_ynet_life_sujrb_util.jar:com/ynet/life/sujrb/util/PBCheckUtil.class */
public class PBCheckUtil {
    private static final String accountNoPattern = "^([0-9]{18})$";
    private static final String numberPattern = "^([0-9]+)$";

    private PBCheckUtil() {
    }

    public static boolean isAccountNo(String strValue) {
        try {
            if (!notNullData(strValue)) {
                return false;
            }
            if (Pattern.matches(accountNoPattern, strValue)) {
                return true;
            }
            return false;
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean isNumber(String strValue) {
        try {
            if (Pattern.matches(numberPattern, strValue)) {
                return true;
            }
            return false;
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean isNumber(String strValue, int minLength, int maxLength) {
        try {
            if (notNullData(strValue) && Pattern.matches(numberPattern, strValue)) {
                if (checkLength(strValue, minLength, maxLength)) {
                    return true;
                }
                return false;
            }
            return false;
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean checkLength(String strValue, int minLength, int maxLength) {
        try {
            if (!notNullData(strValue)) {
                return false;
            }
            int iLen = strValue.getBytes().length;
            if (iLen >= minLength && iLen <= maxLength) {
                return true;
            }
            return false;
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean isEmail(String strValue) {
        try {
            if (!notNullData(strValue)) {
                return false;
            }
            int len = strValue.length();
            int idx1 = strValue.indexOf("@");
            if (idx1 <= 0) {
                return false;
            }
            int idx2 = strValue.indexOf(".");
            return idx2 > 1 && idx2 > idx1 + 1 && len > idx2 + 1;
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean notNullData(String strValue) {
        if (strValue == null) {
            return false;
        }
        try {
            if (strValue.length() <= 0) {
                return false;
            }
            if (strValue.trim().length() <= 0) {
                return false;
            }
            return true;
        } catch (Exception unused) {
            return false;
        }
    }
}
